<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddPhoneNtpReq StructType
 * @subpackage Structs
 */
class AddPhoneNtpReq extends APIRequest
{
    /**
     * The phoneNtp
     * @var XPhoneNtp
     */
    public $phoneNtp;
    /**
     * Constructor method for AddPhoneNtpReq
     * @uses AddPhoneNtpReq::setPhoneNtp()
     * @param XPhoneNtp $phoneNtp
     */
    public function __construct(XPhoneNtp $phoneNtp = null)
    {
        $this
            ->setPhoneNtp($phoneNtp);
    }
    /**
     * Get phoneNtp value
     * @return XPhoneNtp|null
     */
    public function getPhoneNtp()
    {
        return $this->phoneNtp;
    }
    /**
     * Set phoneNtp value
     * @param XPhoneNtp $phoneNtp
     * @return AddPhoneNtpReq
     */
    public function setPhoneNtp(XPhoneNtp $phoneNtp = null)
    {
        $this->phoneNtp = $phoneNtp;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddPhoneNtpReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
